'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _babelTraverse = require('babel-traverse');

var _babelTraverse2 = _interopRequireDefault(_babelTraverse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Get all export statements
 * @param  {Object} ast to search in
 * @return {Array}      ast nodes of export declarations
 */
exports.default = ast => {
	const imports = [];

	(0, _babelTraverse2.default)(ast, {
		ExportDeclaration: function ExportDeclaration(path) {
			imports.push(path.node);
		}
	});
	return imports;
};

module.change_code = 1; // eslint-disable-line

module.exports = exports['default'];