'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPlainJsx = require('./get-plain-jsx');

var _getPlainJsx2 = _interopRequireDefault(_getPlainJsx);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Get the last JSX expression in the outermost scope
 * @param {Object}        ast to search in
 * @return {Object|null}  Expression node or null
 */
exports.default = ast => {
  const plainJSX = (0, _getPlainJsx2.default)(ast);

  return plainJSX.length > 0 ? plainJSX[plainJSX.length - 1] : null;
};

module.change_code = 1; // eslint-disable-line

module.exports = exports['default'];