'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classTemplate = require('./class-template');

var _classTemplate2 = _interopRequireDefault(_classTemplate);

var _functionTemplate = require('./function-template');

var _functionTemplate2 = _interopRequireDefault(_functionTemplate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Get babel-ast template for React component
 * @param  {Object} React React library export
 * @return {Object}       babel-ast template
 */
exports.default = _ref => {
  let stateless = _ref.stateless;

  return stateless ? _functionTemplate2.default : _classTemplate2.default;
};

module.change_code = 1; // eslint-disable-line

module.exports = exports['default'];